/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/src/sgx/gui/sgxwidget_handler.cpp

*/

#include "sgx/core/core.hpp"
#include "sgx/graphics/graphics.hpp"
#include "sgx/gui/gui.hpp"

tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetPressed(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}

tBOOL	
sgxGUIWidgetCallbackHandler::onGUIWidgetRelease(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetLeaveArea(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetReenterArea(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetKeyDown(const sgxWidget *pWidget, const tUINT32 key) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(key);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetKeyUp(const sgxWidget *pWidget, const tUINT32 key) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(key);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetHoverEnter(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetHoverLeave(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(pWidget);
	SGX_UNUSED(position);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetFocusGain(const sgxWidget *pWidget) {
	SGX_UNUSED(pWidget);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetFocusLose(const sgxWidget *pWidget) {
	SGX_UNUSED(pWidget);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetActiveGain(const sgxWidget *pWidget) {
	SGX_UNUSED(pWidget);
	return TRUE;
}


tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetActiveLose(const sgxWidget *pWidget) {
	SGX_UNUSED(pWidget);
	return TRUE;
}

tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetSelect(const sgxWidget *pWidget, const sgxPoint2i &position) {
	SGX_UNUSED(position);
	return onGUIWidgetSelectActive(pWidget);
}

tBOOL
sgxGUIWidgetCallbackHandler::onGUIWidgetSelectActive(const sgxWidget *pWidget) {
	SGX_UNUSED(pWidget);
	return TRUE;
}
